Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Interface ElementListener

All Superinterfaces:
  java.util.EventListener

All Known Subinterfaces:
  DocListener

All Known Implementing Classes:
  Document, DocWriter, FdfWriter.Wrt, HTMLWorker, HtmlWriter, PdfCopy, PdfCopyFieldsImp, PdfCopyFormsImp, PdfDocument, PdfSmartCopy, PdfStamperImp, PdfWriter, RtfWriter2

    public interface ElementListener

extends java.util.EventListener

A class that implements `ElementListener` will perform some actions when an `Element` is added.

See Also:
  `DocListener`

Method Summary
`boolean` | `add(Element element)` Signals that an `Element` was added to the `Document`.

Method Detail

### add

    boolean add(Element element)
                throws DocumentException

  Signals that an `Element` was added to the `Document`.

  Parameters:
    `element` - a high level object
  Returns:
    `true` if the element was added, `false` if not.
  Throws:
    `DocumentException` - when a document isn't open yet, or has been closed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD